Bug 503975 - Review Request: gimpfx-foundry - Additional GIMP plugins
Review Request: gimpfx-foundry - Additional GIMP plugins
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 11:51 EDT by Rick L Vinyard Jr
Modified: 2010-07-14 12:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.6.1-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 21:31:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rick L Vinyard Jr 2009-06-03 11:51:21 EDT
Spec URL: http://miskatonic.cs.nmsu.edu/pub/gimpfx-foundry.spec
SRPM URL: http://miskatonic.cs.nmsu.edu/pub/gimpfx-foundry-2.6.1-1.fc10.src.rpm

Description: 
These scripts allow GIMP graphics to be endowed with special effects, such as
blurring or distorting them in certain ways. This package has 117+ new
scripts for GIMP that are not part of the graphic software's standard
installation.

Among them are the Roy Lichtenstein effect script to render graphics in the
pop artist's style, the Planet Render script to create a planet of your
choosing and desired size and dimension. and the Old Photo script to give
existing photos that antiquated touch.
Comment 1 Susi Lehtola 2009-06-04 05:34:27 EDT
Not much to check:

OK: rpmlint is clean
OK: spec file is legible and in English, macros are used consistently
OK: license is Fedora approved
OK: name respects Fedora Naming Guidelines
OK: spec name is same as package name
OK: source matches upstream
OK: time stamps are preserved
OK: package owns all directories or requires packages that own them
OK: all relevant files included in %doc, files in %doc are not needed for operation
OK: permissions are set properly
OK: no file conflicts or general names
OK: %{?dist} used in release
OK: builds in mock.

NEEDSWORK: License tag is incorrect, should be: GPLv2+ and GPLv3+ and Public Domain
NEEDSWORK: SHOULD: Package does not contain license texts, query upstream to include them.
Comment 2 Rick L Vinyard Jr 2009-06-04 10:11:33 EDT
New spec and SRPM:

Spec: http://miskatonic.cs.nmsu.edu/pub/gimpfx-foundry.spec

SRPM: http://miskatonic.cs.nmsu.edu/pub/gimpfx-foundry-2.6.1-2.fc10.src.rpm


(In reply to comment #1)
> NEEDSWORK: License tag is incorrect, should be: GPLv2+ and GPLv3+ and Public
> Domain

I didn't realize that multiple licenses were possible. It's updated.

> NEEDSWORK: SHOULD: Package does not contain license texts, query upstream to
> include them.  

I'll drop them a note.
Comment 3 Susi Lehtola 2009-06-04 10:54:04 EDT
Okay, looks good now.

APPROVED
Comment 4 Rick L Vinyard Jr 2009-06-04 14:11:26 EDT
New Package CVS Request
=======================
Package Name: gimpfx-foundry
Short Description: Additional GIMP plugins
Owners: rvinyard
Branches: F-9 F-10 F-11
InitialCC:
Comment 5 Jason Tibbitts 2009-06-04 18:25:55 EDT
CVS done.
Comment 6 Fedora Update System 2009-06-15 21:31:03 EDT
gimpfx-foundry-2.6.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-06-15 21:44:06 EDT
gimpfx-foundry-2.6.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-06-15 21:48:36 EDT
gimpfx-foundry-2.6.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Rick L Vinyard Jr 2010-07-14 11:27:50 EDT
Package Change Request
======================
Package Name: gimpfx-foundry
New Branches: EL-6
Owners: rvinyard
Comment 10 Kevin Fenzi 2010-07-14 12:42:38 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.